extends Area2D
class_name DialogueTrigger

signal DialogueTriggered(dialogue_name: String)

@export var dialogue_name: String

# Public Methods
func Trigger() -> void:
	DialogueTriggered.emit(dialogue_name)
